com.microfocus.awm.model

## Enum ITaurusApplication.EModelUpdateStatus

- java.lang.Object
- - java.lang.Enum<ITaurusApplication.EModelUpdateStatus>
  - - com.microfocus.awm.model.ITaurusApplication.EModelUpdateStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ITaurusApplication.EModelUpdateStatus>
  Enclosing interface:
    ITaurusApplication

      public static enum ITaurusApplication.EModelUpdateStatus
      extends java.lang.Enum<ITaurusApplication.EModelUpdateStatus>

  The update status of the application.
  Author:
    Ralf Pakosch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATTRIBUTES_REFRESHED` The status has been checked, an update was executed but the applications version number does not match with the version number of the master configuration.
    `NOT_CHECKED` The version status has not been checked yet.
    `UP_TO_DATE` The application is up to date.
    `UPDATE_REQUIRED` A newer model version is available, but the application has not been updated yet.
    `UPDATE_SUSPENDED` The update was canceled by the user.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ITaurusApplication.EModelUpdateStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ITaurusApplication.EModelUpdateStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UP_TO_DATE

          public static final ITaurusApplication.EModelUpdateStatus UP_TO_DATE

      The application is up to date.

    - #### NOT_CHECKED

          public static final ITaurusApplication.EModelUpdateStatus NOT_CHECKED

      The version status has not been checked yet.

    - #### ATTRIBUTES_REFRESHED

          public static final ITaurusApplication.EModelUpdateStatus ATTRIBUTES_REFRESHED

      The status has been checked, an update was executed but the applications version number does not match with the version number of the master configuration.

    - #### UPDATE_SUSPENDED

          public static final ITaurusApplication.EModelUpdateStatus UPDATE_SUSPENDED

      The update was canceled by the user.

    - #### UPDATE_REQUIRED

          public static final ITaurusApplication.EModelUpdateStatus UPDATE_REQUIRED

      A newer model version is available, but the application has not been updated yet.

  - ### Method Detail

    - #### values

          public static ITaurusApplication.EModelUpdateStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ITaurusApplication.EModelUpdateStatus c : ITaurusApplication.EModelUpdateStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ITaurusApplication.EModelUpdateStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2015 Micro Focus GmbH. All rights reserved.